<template>
  <div class="radioBox">
    <div
      class="radioBox_item marginBottom flex flex-middle"
      @click="change(1)">
      <div
        class="radioBox_item-check"
        :class="checked===1 ? 'checked' : ''"
      ></div>
      <div class="radioBox_item-label flex flex-middle">{{$t('deposit.creaditCard')}} <img
        src="/ps/mastercard.svg"
        alt="">
        <img
          src="/ps/visa.svg"
          alt="">
      </div>
    </div>
    <div
      class="radioBox_item marginBottom flex flex-middle"
      @click="change(2)">
      <div
        class="radioBox_item-check"
        :class="checked===2 ? 'checked' : ''"></div>
      <div class="radioBox_item-label flex flex-middle">{{$t('deposit.eMoney')}}
        <img
          src="/ps/qiwi.svg"
          alt="">
        <img
          src="/ps/scrill.svg"
          alt="">
      </div>
    </div>
    <div
      class="radioBox_item marginBottom flex flex-middle"
      @click="change(3)">
      <div
        class="radioBox_item-check"
        :class="checked===3 ? 'checked' : ''"></div>
      <div class="radioBox_item-label flex flex-middle">{{$t('deposit.cryptoCurrency')}}
        <img
          src="/ps/crypt1.svg"
          alt="">
        <img
          src="/ps/crypt2.svg"
          alt="">
        <img
          src="/ps/crypt3.svg"
          alt="">
        <img
          src="/ps/crypt4.svg"
          alt="">
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "TheProcessing",
    data() {
      return {
        checked: 1
      }
    },
    computed: {},
    methods: {
      change(val) {
        this.checked = val;
      }
    },
    created() {
    }
  }
</script>
